<h4 style="text-align: center">
  <nz-alert
    nzType="info"
    [nzMessage]="'Economy.enablePublicOffering' | translate"
  ></nz-alert>
</h4>

<h3>{{ 'Economy.costPublicOffering' | translate }}</h3>
<h4>{{ 'Economy.numberSharesIssue' | translate }}:</h4>
<div>
  <nz-slider
    [(ngModel)]="sharesNumber"
    [nzMin]="50"
    [nzMax]="300"
    (ngModelChange)="calculateShareValue()"
  ></nz-slider>
</div>
<h4>{{ 'Economy.sharesNumber' | translate }}: {{ sharesNumber }}</h4>
<h4>{{ 'Economy.valueShare' | translate }}: {{ currentShareValue }}</h4>

<div style="text-align: right">
  <button nz-button nzShape="round" nzDanger (click)="enablePublicOffering()" [nzLoading]="isLoading">{{ 'Economy.Convert' | translate }}</button>
</div>
